petsc-3.10.5 2019-03-28
Report Typos and Errors

# ISLocalToGlobalMappingCreateSF

Creates a mapping between a local (0 to n) ordering and a global parallel ordering.

### Synopsis

    #include "petscis.h"
    PetscErrorCode ISLocalToGlobalMappingCreateSF(PetscSF sf,PetscInt start,ISLocalToGlobalMapping *mapping)

Collective

### Input Parameter

| sf | - star forest mapping contiguous local indices to (rank, offset)
| start | - first global index on this process

### Output Parameter

mapping -new mapping data structure

### See Also

ISLocalToGlobalMappingDestroy(), ISLocalToGlobalMappingCreate(), ISLocalToGlobalMappingCreateIS(), ISLocalToGlobalMappingSetFromOptions()

### Level

advanced

### Location

src/vec/is/utils/isltog.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages